Summary: Lists files open by processes
Name: lsof
Version: 4.40
Release: 1
Copyright: Free
Group: Utilities/File
Source0: ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_%{version}_W.tar.gz
Source1: lsof-kern2036.tar.gz
Patch0: lsof-4.39-alpha.patch
Patch1: lsof-4.40-argc.patch
Prefix: /usr
Buildroot: /var/tmp/%{name}-root

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -c -n lsof_%{version}

# add -a 1 above
#tar xzf %SOURCE1

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -f lsof_%{version}.tar ] && tar xf lsof_%{version}.tar
[ -d lsof_%{version}.linux -a ! -d lsof_%{version} ] && \
	mv lsof_%{version}.linux lsof_%{version}
[ -d lsof_%{version} ] && cd lsof_%{version}

#%patch0 -p1 -b .alpha
%patch1 -p1 -b .argc

%build
rm -rf $RPM_BUILD_ROOT
[ -d lsof_%{version} ] && cd lsof_%{version}

#LINUX_KERNEL=`pwd`/../linux LSOF_INCLUDE=`pwd`/../linux/include \
#LSOF_VERS=21129 LSOF_VSTR=2.1.129 LINUX_BASE=/proc \
LSOF_VERS=20036 LSOF_VSTR=2.0.36 LINUX_BASE=/dev/kmem \
	./Configure -n linux

make

%install
rm -rf $RPM_BUILD_ROOT
#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d lsof_%{version} ] && cd lsof_%{version}
install -d $RPM_BUILD_ROOT/usr/{sbin,man/man8}
install -s lsof $RPM_BUILD_ROOT/usr/sbin
install lsof.8 $RPM_BUILD_ROOT/usr/man/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lsof_%{version}/00*
%attr(2755,root,kmem) /usr/sbin/lsof
/usr/man/man8/lsof.8

%changelog
* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- buffer overflow patch.
- upgrade to 4.40.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- update to "official" 4.39 release.

* Wed Dec 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39B (linux) with internal kernel src.

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39A (linux)

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.37

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.36

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.35.
- rewrap for RH 5.2.

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [4.34-1]
- New version
- Spec rewriten to use %{name} and %{version} macros
- Removed old log enteries

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Built under RH5
- %install was changed
